Oracle VirtualBox didnt run a virtual machine in linux mint 18.3

Questions about virtualization software
Forum rules
Before you post please read how to get help
Post Reply
User avatar
Afatinong
Level 1
Level 1
Posts: 1
Joined: Mon Mar 26, 2018 6:50 am

Oracle VirtualBox didnt run a virtual machine in linux mint 18.3

Post by Afatinong » Tue Mar 27, 2018 5:21 am

I was trying to install, genymotion for the android studio. when I try to run the emulator it says Oracle VM VirtualBox can't start it. also, I try to start the VM from Virtualbox 5.2 it pops up an error. I attached the screenshot of the error
Screenshot at 2018-03-27 12-17-38.png

User avatar
coffee412
Level 5
Level 5
Posts: 820
Joined: Mon Nov 12, 2012 7:38 pm
Location: Indiana, USA
Contact:

Re: Oracle VirtualBox didnt run a virtual machine in linux mint 18.3

Post by coffee412 » Tue Mar 27, 2018 5:47 am

Ive hit this issue before with upgrades of virtualbox. The problem is that the driver for VB in the kernel does not match up with what is installed. I got this when upgrading a kernel and using an older version of VB then the kernel. What I did was make sure I had the newest kernel and then downloaded the VB from VB's site and reinstalled it.
Ryzen x1800 Asus Prime x370-Pro 32 gigs Ram RX480 graphics
IceWarp * Samba AD * Mint 18.1 * RAID 1/5 * OpenVPN * Linux since kernel 2.0.36

krustybaguette
Level 3
Level 3
Posts: 128
Joined: Thu Mar 31, 2011 8:24 am

Re: Oracle VirtualBox didnt run a virtual machine in linux mint 18.3

Post by krustybaguette » Mon Apr 02, 2018 10:42 pm

Ive hit this issue before with upgrades of virtualbox. The problem is that the driver for VB in the kernel does not match up with what is installed. I got this when upgrading a kernel and using an older version of VB then the kernel. What I did was make sure I had the newest kernel and then downloaded the VB from VB's site and reinstalled it.
I´m getting same error message as OP and have VB 5.2.8 installed. Running 4.10.0-38-generic kernel. Mint Update wants me to upgrade kernel to 4.13.0-37 which is only listed as a #4 priority in update. My general practice is not to update anything lower than #3. However there is a red exclamation point next to the listing for this kernel update. I guess what troubles me is that I´ve never upgraded my kernel other than if it came along with a system upgrade.
krustybaguette

Marziano
Level 7
Level 7
Posts: 1669
Joined: Thu Jan 04, 2018 1:00 pm

Re: Oracle VirtualBox didnt run a virtual machine in linux mint 18.3

Post by Marziano » Tue Apr 03, 2018 6:51 am

krustybaguette wrote:
Mon Apr 02, 2018 10:42 pm
Running 4.10.0-38-generic kernel. Mint Update wants me to upgrade kernel to 4.13.0-37 which is only listed as a #4 priority in update. My general practice is not to update anything lower than #3. However there is a red exclamation point next to the listing for this kernel update. I guess what troubles me is that I´ve never upgraded my kernel other than if it came along with a system upgrade
For recommendations on kernel upgrades in order to have the latest security patches against Meltdown/Spectre:
xenopeek wrote:
Wed Jan 10, 2018 6:24 am
In short, Linux Mint 18.x users should be using kernel 4.4.0-116 or 4.13.0-36 or newer and NOT continue to use any 4.8.x, 4.10.x or 4.11.x kernels (those are no longer updated and unsafe). Linux Mint 17.x users should be using kernel 3.13.0-142 or 4.4.0-116 and NOT continue to use any 3.16.x, 3.19.x or 4.2.x kernels (those are also no longer updated and unsafe).
(Click on the arrow to read the whole post)
"Those are my principles, and if you don't like them...well, I have others." -Marx...
Groucho { Marx

krustybaguette
Level 3
Level 3
Posts: 128
Joined: Thu Mar 31, 2011 8:24 am

Re: Oracle VirtualBox didnt run a virtual machine in linux mint 18.3

Post by krustybaguette » Tue Apr 03, 2018 10:21 am

For recommendations on kernel upgrades in order to have the latest security patches against Meltdown/Spectre:

xenopeek wrote: ⤴
Wed Jan 10, 2018 6:24 am
In short, Linux Mint 18.x users should be using kernel 4.4.0-116 or 4.13.0-36 or newer and NOT continue to use any 4.8.x, 4.10.x or 4.11.x kernels (those are no longer updated and unsafe). Linux Mint 17.x users should be using kernel 3.13.0-142 or 4.4.0-116 and NOT continue to use any 3.16.x, 3.19.x or 4.2.x kernels (those are also no longer updated and unsafe).
Last night I ¨solved¨ my virtual box issue and running the kernel update to 4.13.0-37-generic seems to have been the key. Itś good to know that it also offers a measure of protection against Meltdown.Spectre.

krustybaguette

myface65
Level 1
Level 1
Posts: 1
Joined: Fri Apr 13, 2018 1:33 pm

Re: Oracle VirtualBox didnt run a virtual machine in linux mint 18.3

Post by myface65 » Sun Apr 15, 2018 4:38 pm

Works good for me.

User avatar
BG405
Level 6
Level 6
Posts: 1176
Joined: Fri Mar 11, 2016 3:09 pm
Location: England

Re: Oracle VirtualBox didnt run a virtual machine in linux mint 18.3

Post by BG405 » Thu Apr 19, 2018 9:24 am

Running sudo /sbin/vboxconfig usually fixes this. Needs to be run whenever you change the kernel.
Dell Inspiron 1525 - LM17.3 CE 64-------------------Acer D255E 2GB - Manjaro KDE, LM17.3 KDE 32
Toshiba NB305 - LM17.3 Xfce 32---------------------K7S5A AMD 1.2GHz - LM17.3 Xfce 32 & WinXP-Pro
Acer Aspire E11 ES1-111M - LM18.2 KDE 64 ----Dell PII 350 64MB - Puppy 4.3 & Win98-SE

User avatar
Pierre
Level 16
Level 16
Posts: 6902
Joined: Fri Sep 05, 2008 5:33 am
Location: Perth, AU.

Re: Oracle VirtualBox didnt run a virtual machine in linux mint 18.3

Post by Pierre » Thu Apr 19, 2018 11:11 am

at one point, on one of my Laptops,
I've had to run sudo /sbin/vboxconfig and which usually fixed this issue.

then I'd installed a major update to VirtualBox via a clean installation of VirtualBox,
& that issue went away.
8)
Image
Please edit your original post title to include [SOLVED] - when your problem is solved!
and DO LOOK at those Unanswered Topics - - you may be able to answer some!.

Post Reply

Return to “Virtualization”